Subject: Re: [PATCH v7 00/17] propose config-based hooks (part I)

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Feb 2021 14:47:35 -0800

Josh Steadmon <[email-masked]> writes:

>> Emily Shaffer (17):
>>   doc: propose hooks managed by the config
>>   hook: scaffolding for git-hook subcommand
>>   hook: add list command
>>   hook: include hookdir hook in list
>>   hook: respect hook.runHookDir
>>   hook: implement hookcmd.<name>.skip
>>   parse-options: parse into strvec
>>   hook: add 'run' subcommand
>>   hook: replace find_hook() with hook_exists()
>>   hook: support passing stdin to hooks
>>   run-command: allow stdin for run_processes_parallel
>>   hook: allow parallel hook execution
>>   hook: allow specifying working directory for hooks
>>   run-command: add stdin callback for parallelization
>>   hook: provide stdin by string_list or callback
>>   run-command: allow capturing of collated output
>>   hooks: allow callers to capture output
>> 
> Sorry for the delayed reply. I am happy with this series as-is. Thanks
> for all your work on it!
>
> Reviewed-by: Josh Steadmon <[email-masked]>

The topic branch has a lot more commits than these 17; I am
wondering if the reviewed-by applies only to the bottom 17, or as
the whole?  I recall that the upper half was expecting at least some
documentation updates.

Thanks.